<?php

namespace app\model;

use think\Model;

class MetaCampaign extends Model
{
    // 数据表名称
    protected $table = 'ad_meta_campaigns';

    // 主键字段
    protected $pk = 'id';

    // 定义时间戳字段
    protected $createTime = 'created_at';
    protected $updateTime = 'updated_at';

    // 不自动写入更新时间字段
    protected $autoWriteTimestamp = true;

    // 关联广告账户
    public function businessAccount()
    {
        return $this->belongsTo('MetaBusinessAccount', 'business_account_id');
    }
}
