<?php
use app\controller\GoogleAdsController;
use app\controller\MetaController;

return [
    'POST /google-ads/create-budget' => [GoogleAdsController::class, 'createCampaignBudget'],
    'POST /google-ads/create-campaign' => [GoogleAdsController::class, 'createCampaign'],
    'POST /google-ads/create-adgroup' => [GoogleAdsController::class, 'createAdGroup'],
    'POST /google-ads/create-ad' => [GoogleAdsController::class, 'createAd'],

    // Meta API Routes
    'POST /meta/business/accounts' => [MetaController::class, 'getBusinessAccounts'],
    'POST /meta/business/accounts/save' => [MetaController::class, 'saveBusinessAccounts'],
    'GET /meta/campaigns' => [MetaController::class, 'getCampaigns'],
    'POST /meta/campaign/create' => [MetaController::class, 'createCampaign'],
    'GET /meta/adgroups' => [MetaController::class, 'getAdGroups'],
    'POST /meta/adgroup/create' => [MetaController::class, 'createAdGroup'],
    'GET /meta/ads' => [MetaController::class, 'getAds'],
    'POST /meta/ad/create' => [MetaController::class, 'createAd'],

];
